Skip to content
Back to top
View this page

# Step

class gwcs.wcs.Step(frame: str | CoordinateFrame | None, transform=None)

  Bases: `object`

  Represents a `step` in the WCS pipeline.

  Parameters:
    frame `CoordinateFrame`

      A gwcs coordinate frame object.

    transform `Model` or None

      A transform from this step’s frame to next step’s frame. The transform of the last step should be `None`.

  Attributes Summary

  `frame` |
  `frame_name` |
  `transform` |

  Methods Summary

  `copy`() |

  Attributes Documentation

  frame
  frame_name
  transform

  Methods Documentation

  copy()